> For the complete documentation index, see [llms.txt](https://docs.milientsoftware.com/help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.milientsoftware.com/help/moment-by-topic/integrations/file-import/tools/tools-import-expenses.md).

# Expenses from file

By using the Tools option under Setup in your database you can upload expenses using an Excel file.

![](/files/-Medlakk3fWSgF5UjSfl)

The Excel file used for this import can be downloaded from the details section.

![Click "expense\_import\_template.xlsx"](/files/-MehtHirpkLMPQ2Wb2UH)

The file contains one sheet named "Expenses" and has the following columns \
(columns in **bold** are required)

| Col | Name                         | Description                                                                                                                                                                                                  |
| --- | ---------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| A   | **Project Number**           | <p>The number for the project the expense is to be connected to.<br>Project must exist in the database.</p>                                                                                                  |
| B   | **Activity Name**            | <p>The name of the activity where the expense is to be connected to.<br>Activity must exist in the database</p>                                                                                              |
| C   | Expense Category             | The expense category where the expense is to be connected to. If selecting to enter the name of an expense category, make sure this exists in the data                                                       |
| D   | Description                  | Any description added to the expense                                                                                                                                                                         |
| E   | **Title**                    | The name of the expense.                                                                                                                                                                                     |
| F   | Employee Name                | <p>Name of the resource linked to the expense.</p><p>The resource must exist in the database</p>                                                                                                             |
| G   | **Date**                     | <p>Expense date</p><p>Date format is YYYY-MM-DD</p>                                                                                                                                                          |
| H   | **Quantity**                 | The quantity of expenses, this is commonly 1                                                                                                                                                                 |
| I   | **Unit Price Excluding VAT** | <p>Expense price</p><p>Period (.) as decimal separator, no thousand separator.</p>                                                                                                                           |
| J   | Currency Code                | <p>The currency the expense price is in.<br>Codes from<a href="https://www.currency-iso.org/en/home/tables/table-a1.html"> ISO 4217</a> (<a href="https://en.wikipedia.org/wiki/ISO_4217">Wikipedia</a>)</p> |
| K   | Invoiced State               | <p>Status of the expense.<br>Possible options:</p><ul><li>notApprovedForInvoicing</li><li>approvedForInvoicing</li><li>returnedForCorrection</li><li>invoiced</li></ul>                                      |
| L   | Expense Type                 | <p>Is the expense planned or actual?</p><p>Possible options:</p><ul><li>actual (selected by default if not provided)</li><li>planned</li></ul>                                                               |
| M   | Billable                     | <p>Is the expense to be set as billable or not?</p><p>Possible options:</p><ul><li>TRUE</li><li>FALSE</li></ul>                                                                                              |
| N   | Financial Account&#xD;       | Financial account number the expense is to be related to                                                                                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.milientsoftware.com/help/moment-by-topic/integrations/file-import/tools/tools-import-expenses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
